% LSCANREX.m
% date dernieres modif. : 06/03/2006
%
% Ajustement, par le modele de Canet,
% du Tau(c) et du facteur proportionnel (Phi) en minimisant le Chi2
%

function sse = LSCANREX(params,OmegaX,Y,dY,lwx2);
  S2 = params(1);
  tauc = params(2);
  taup = params(3);             % ATTENTION, taup est le tau prime (pas tau(e)) !!
  phi = params(4);

%
% ATTENTION !!
% Le fit est fait avec abs(phi) : !!!! rex toujours positif !!!!
% Ici, le fit est multiplie par (exp(-OmegaX)^6) pour annuler
% le 'Lambda.Wx2.Phi' (Lambda.Rex) a Jomega different de 0.
%

  Fitted_Curve = (2/5)*((S2*tauc./(1+(OmegaX*tauc).^2))+((1-S2)*taup))+(lwx2*(abs(phi))*(exp(-(OmegaX).^6)));

  Error_Vector = (Y - Fitted_Curve);
%  sse = sum((Error_Vector.^2) ./ (dY).^2);   % Chi2
  sse = sum((Error_Vector.^2) ./ (Fitted_Curve).^2);   % Chi2 Canet

