% LSCanet.m
% date dernieres modif. : 06/03/2006
%
% Ajustement par le modele de Canet
% en minimisant le Chi2, et en laissant le Tau(c) comme variable
%

function sse = LSCanet(params,OmegaX,Y,dY);
  S2 = params(1);
  tauc = params(2);
  taup = params(3);				% ATTENTION, taup est le tau prime (pas tau(e)) !!

  Fitted_Curve = (2/5)*((S2*tauc./(1+(OmegaX*tauc).^2))+((1-S2)*taup));

  Error_Vector = (Y - Fitted_Curve);
%  sse = sum((Error_Vector.^2) ./ (dY).^2);			% Chi2
  sse = sum((Error_Vector.^2) ./ (Fitted_Curve).^2);	% Chi2 Canet

