% LSE4.m
% date dernieres modif. : 06/03/2006
%
% Ajustement par le modele de Lipari-Szabo Etendu (simplifie)
% en minimisant le Chi2
%

function sse = LSE4(params,OmegaX,Y,dY,tauc);
  S2s = params(1);
  S2f = params(2);
  tausp = params(3);			% ATTENTION, tausp est le tau(s) prime (pas tau(s)) !!
  taufp = params(4);			% ATTENTION, taufp est le tau(f) prime (pas tau(f)) !!

  Fitted_Curve = (2/5)*((S2s*S2f*tauc./(1+(OmegaX*tauc).^2))+(S2f*(1-S2s)*tausp./(1+(OmegaX*tausp).^2))+((1-S2f)*taufp./(1+(OmegaX*taufp).^2)));

  Error_Vector = (Y - Fitted_Curve);
%  sse = sum((Error_Vector.^2) ./ (dY).^2);				% Chi2
  sse = sum((Error_Vector.^2) ./ (Fitted_Curve).^2);		% Chi2 Canet

