% c_matrix.m
% date dernieres modif. : 06/03/2006
%
% Dans cette version, 'alpha_beta_hx.m' est remplacee par 'ctes_fil.m'
%

%this program calculates the matrices C
%         R = C.J
%either for complete of reduced set of J(w).
%This routine computes the relaxation matrices with 6, 4 or 3 relaxation rates.
% -matc6 : 6*6 matrix between 6 Relaxation rates and total J(w) + rHH
% -matc4 : 4*4 matrix using only 4 Relaxation and reduced J(w) +rHH
% -matc3 : 3*3 matrix using only 3 Relaxation rates and reduced J(w)
%%The frequency order for J(w) (column) is :
%     0, wX, wH-wX, wH, wH+wX
%The magnetisation state order (line) is :
%     R(Xz), R(Xx), R(Hz->Xz), R(2HzXz), R(2HzXx), R(Hz)
%the programme use one subroutine :
% - alpha_beta_hx.m (calculate dipolar and CSA constants)

%Set up dipolar and CSA factors
%alpha_beta_hx
a = CDD;
b = CCSA;
e = (3*CDD) + CCSA;

%calculate matrices
matc6 = [0     e     a     0     6*a   0
         2*e/3 e/2   a/2   3*a   3*a   0
         0     0     -a    0     6*a   0
         0     e     0     3*a   0     1
         2*e/3 e/2   a/2   0     3*a   1
         0     0     a     3*a   6*a   1];

matc4 = [0     e     7*a   0
         2*e/3 e/2   6.5*a 0
         0     0     5*a   0
         0     e     3*a   1];

matc3 = [0     e     7*a
         2*e/3 e/2   6.5*a
         0     0     5*a];


