% calc_tauc.m
% date derniere modif. : 06/03/2006
%
% Macro qui permet d'estimer le tauc moyen
% sur les zones structurees (ou du moins, majoritaires !!)
% en sortie de 'methodCanet.m' ou 'metodLS3.m'
%

nmt = meantc;			% Moyenne du tauc de l'ens. des residus
nst = stdtc;			% Dev Std du tauc de l'ens. des residus
nvt = valtc;			% Valeurs du tauc de l'ens. des residus

nrest = nres;			% Nombre de residus
nseq = seq;				% Sequence des residus

fprintf('\n')
fprintf('Mean Tau(c) for %g residues = %5.2f  %4.2f ns\n',nrest,nmt,nst)

figure
plot(seq,nvt,'ro')
hold on;

while nrest >= (0.635 * nres)	% Tant que superieur  63.5 % de nres

  a = 0; x = 0; kres = 0; kval = 0;

  for k = 1:nrest
    x = nvt(k,1);
    if abs(nmt-x) <= nst
      a = a + 1;
      kval(a,1) = x;
	  kres(a,1) = nseq(k,1);
    end
  end

  nmt = mean(kval);		% Moyenne des tauc restants
  nst = std(kval);		% Dev Std des tauc restants
  nvt = kval;			% Valeurs des tauc restants
  nrest = size(kres,1);
  nseq = kres;
  fprintf('for %g residues, tauc = %5.2f  %4.2f ns\n',nrest,nmt,nst)

end

plot(kres,nvt,'go')
s = [(seq(1,1)-1),(seq(nres,1)+1)]; t=[nmt,nmt];
line(s,t,'Color','g')
xlabel('Residues')
ylabel('Tau(c) (ns)')
hold off;

