% metodLS3.m
% date dernieres modif. : 08/03/2018
%
% Macro qui permet de calculer un Tau(c) pour chaque residu
% 
% Cette macro necessite l'utilisation de la macro:
% LSTauc.m
%

eval(['fil0 = fopen(''ls3.' num2str(gnout) ''',''w'');']);		% Ouvre le fichier 'ls3.out'

fprintf(fil0,'Res    S2     Tc      Tf_ps     Chi2        R\n');

fprintf(' \n')
graf = input(' Would you like to show graphs for each residue ? [n] : ','s');
if graf == 'y'
  figure								% Creation d'une nouvelle figure
end

for k = 1:nres

  fprintf('Residu: %g \n',seq(k,1));

  Y = Jomega(k,:);
  dY = dJomega(k,:);
  params = [s2 tauc taup];
  option=optimset('fminsearch');
%  option=optimset(option,'MaxIter',40000,'MaxFunEvals',50000);

  fitLSTauc = fminsearch('LSTauc',params,option,OmegaX,Y,dY);                   % Fit avec LSTauc.m

  calcYlstauc(k,:) = (2/5)*((fitLSTauc(1)*fitLSTauc(2)./(1+(X*fitLSTauc(2)).^2))+((1-fitLSTauc(1))*fitLSTauc(3)./(1+(X*fitLSTauc(3)).^2)));
  params_tauc(k,1) = seq(k,1);
  params_tauc(k,2) = fitLSTauc(1);                  % Valeur du S2
  params_tauc(k,3) = fitLSTauc(2)*1e9;              % Valeur du tauc (en ns)
  params_tauc(k,4) = (fitLSTauc(2)*fitLSTauc(3))/(fitLSTauc(2)-fitLSTauc(3))*1e12;     % Conversion taup > tauf
  error2 = (Y - calcYlstauc(k,:)).^2;
  params_tauc(k,5) = sum(error2./(calcYlstauc(k,:).^2));  % Calcul du Chi2
  R2 = corrcoef(Y,calcYlstauc(k,:));
  params_tauc(k,6) = R2(1,2);                       % Calcul du R

  fprintf(fil0,'%-3d  %5.2f  %5.2f  %8.2f  %7.5e  %5.3f\n',params_tauc(k,:));

  initprm_tauc(k,1) = fitLSTauc(1);                 % Valeur du S2
  initprm_tauc(k,2) = fitLSTauc(2);                 % Valeur du tauc (en s)
  initprm_tauc(k,3) = fitLSTauc(3);                 % Valeur du taup (en s)

  if graf == 'y'                        % Si 'y', alors on trace ...
    whitebg([0 0 0]);					% Background de la figure en NOIR
    subplot(1,2,1)                      % ...les valeurs experimentales (avec erreurs)
    errorJ(1,:) = dJomega(k,:);          % Calcul de l'erreur
    errorbar((X/(2*pi))/1e6,Jomega(k,:),errorJ,errorJ,'wo')
    hold on;
    calcLSTauc = (2/5)*((fitLSTauc(1)*fitLSTauc(2)./(1+(fX*fitLSTauc(2)).^2))+((1-fitLSTauc(1))*fitLSTauc(3)./(1+(fX*fitLSTauc(3)).^2)));
    plot(fNuX/1e6,calcLSTauc,'r')       % ...le fit LSTauc
    xlabel('Frequency (MHz)')
    ylabel('J(\omega) (s.rad-1)')
    hold off;

    subplot(1,2,2)                      % ...les valeurs experimentales (avec erreurs)
    errorJ_log(1,:) = log(Jomega(k,:)) - (log(Jomega(k,:)-dJomega(k,:)));    % Calcul de l'erreur
    errorbar((X/(2*pi))/1e6,log(Jomega(k,:)),errorJ_log,errorJ_log,'wo')
    hold on;
    calcLSTauc = (2/5)*((fitLSTauc(1)*fitLSTauc(2)./(1+(fX*fitLSTauc(2)).^2))+((1-fitLSTauc(1))*fitLSTauc(3)./(1+(fX*fitLSTauc(3)).^2)));
    plot(fNuX/1e6,log(calcLSTauc),'r')      % ...le fit LSTauc
    xlabel('Frequency (MHz)')
    ylabel('log(J(\omega)) (s.rad-1)')
    title(['Residu ', int2str(seq(k,1)), ',  R(LS3): ', num2str(params_tauc(k,6))])
    legend('data','LS3')
    hold off;

    fprintf(' \n')
    fprintf('Press any key to continue...\n')
    pause;
  end

end

fclose(fil0);                               % Ferme le fichier "ls3.out"

meantc = mean(params_tauc(:,3));			% Moyenne du tauc pour 'calc_tauc.m'
stdtc = std(params_tauc(:,3));				% Deviation standard pour 'calc_tauc.m'
valtc = params_tauc(:,3);					% Valeurs de tauc pour 'calc_tauc.m'

eval(['save Jtheo_ls3.' num2str(gnout) ' calcYlstauc -ascii;']);
fprintf(' \n')
fprintf(' Files "ls3.%s" and "Jtheo_ls3.%s" are created. \n',gnout,gnout);

